发个安装EM6.0问题小结持续增加
围观: 284   讨论: 20

  发个安装EM6.0问题小结持续增加 [复制链接]

发现你们安装时都有问题,
极少数人没问题
那我把你们遇到的问题
记录下吧,
如果下面有遇到相同的
你们可以按照方法解决

问题一怎么是英文的

你如果选的是安装包和升级包的话
它是根据浏览器语言中
自动判断的,
也可以自己选择
如果出现
类似比如{home},
带有{}这种符号,
你确定目录下的lang文件夹
语言包是完整的吗
是可读的吗?

独立升级

啥是独立升级呢
它是根据5.3.1默认
升级6.0数据库的
再替换6.0的更新包
记得删除update.php文件
这个适合新手
默认就是中文
所以没有中英文之说
弄好后还是出现英文
看问题一
语言包是否完整

如果是英文那里设置

最直接方式
点击顶部右边头像
点击settings
拉到下面System Laguage这个就是选择语言
选择chinese
保全
如果出现带有{}这个符号看问题一

为啥模板出现错误

兼容性问题
毕竟EM6.0函数有的改了
比如归档的
要把emStrtotime函数改成strtotime函数
还有相关文章问题,是跟我防御冲突
看我发的文章
我就不说了

在线商店里

为啥什么也没有
你要确定你服务器有开通
Curl,SSL这两个函数吗
我用的是Github搭建商店服务里
所以有的地区估计访问不了
基本很少人不能访问
出现500等问题
可能有的比较慢

不能在线升级

跟上一个问题一样
我就不多说了

什么保存发帖500错误

先禁用全部插件
看看是否跟那个插件冲突了
比如sitemap插件

缩略图调用

内容页echo_log.php

  1. <img src="<?php echo $thumbs ?>" >

列表页log_list.php

  1. <img src=" <?php echo $value['thumbs'] ?>" >

侧栏问题

为啥我是四个
只显示两个
先换其他模板
再换自己想用的
就出现了

为啥换其他模板,有的出现英文呢

一般出现是微语和日历这个才调用这个文件的
因为有的模板调用了系统的common_tpl.js
这个文件我做了中英文的
所以你们要在模板中加入调用

  1. <script src="<?php echo BLOG_URL ?>lang/<?php echo  EMLOG_LANGUAGES ?>/lang_js.js"></script>

关于编辑器中有exe文件

这个是Ueditor编辑器中的截图软件
可以不用上传
因为有的服务器传不了exe文件
这个功能无关紧要

为啥在8/12纸后升级不了

由于我域名过期了
请大家手动替换
在admin/views/upgrade.php文件
把http://flyerny.ga替换https://eisongao.github.io
或者去更新包中提取覆盖

EM6.0.是否支持SSL

答案是可以的
要先去后台设置中改地址为https
其次要看你们的模板咯
有的模板固定了地址为http

为什么插件可以安装,不能用呢

请先到系统设置中关闭防腾讯和360的功能试试
还不行,那就是插件问题了

个人资料

头像只要上传后保存就行

为啥没有模板设置

请去在线商店中插件里下载模板设置,第二页

如果出现发表啥问题

首先把设置中的防腾讯和360和xss关闭,
估计这个三个中哪个问题引起的
再不行就是插件引起的咯

友情分类

由于升级程序忘了添加导致不能自动添加
所以请手动删除_sortlink表,执行sql命令
把emlog换成你们自己的表

  1. CREATE TABLE emlog_sortlink (  
  2.   linksort_id int(10) unsigned NOT NULL auto_increment,  
  3.   linksort_name varchar(255) NOT NULL default '',  
  4.   taxis int(10) unsigned NOT NULL default '0',  
  5.   PRIMARY KEY  (linksort_id)  
  6. );  

最后

插件冲突和模板冲突
其实不要找我说
经量找作者
毕竟我也是菜鸟
当然我能解决也会帮你

本文标签: 问题
本文链接: https://crazyus.ga/sBgr2.html
站长声明: 请尊重版权,转载注明出处,谢谢配合!
既然来了就留个言吧

发表评论

取消 请打勾哦
为啥模板提示损坏或删除
@小豪: 你自己问题
保存文章时提示 '+lang('save_system_error')+'
发布文章时提示  domdocument 加载失败。
@Bob: 就是emlog 6.0特别版出现的这个问题
@Bob: 要么是你安装问题,要么插件引起,禁用所有插件看看,判断哪个插件问题
@老司机: 感谢回复   插件和文件权限我都排除了 最后我是关了  编辑器XSS漏洞过滤就正常了
软件都是用着好好的 一到要升级了就会胡问题……重新习惯重新习惯
@天津网站建设: 要与时俱进呀
加油,慢慢锤炼6.0
@姜辰: 就这样咯  没什么好锤炼的咯   等官网EM6.0咯
保存发帖500错误,可能是 sitemap 这个插件引起的,我刚刚遇到500错误这种情况,后来就个个插件都试了试,发现是 sitemap 插件引起的500错误。
@瑾忆: 要用我的商店里的
@老司机: 我刚才知道了,刚想补上来,
@老司机: 不过好像你那个取消不了在网页底部显示哎,
@瑾忆: 呃  估计我写错了  等我有空更新下
@老司机: 还有主题编辑,更新不了
@瑾忆: 更新文件,用不了
@瑾忆: sitemap 插件可以了, 主题编辑 ,我没怎么弄 那个只是半成品, 毕竟不是我开发的,不好找哪里js冲突了,工程量太大,不是我一个人可以完成的,如果我把EM所有插件都改一遍,那我可就累死咯,有开发者,不按套路写啊
@瑾忆: 在线主题编辑 ,可以用了
@老司机: 辛苦老司机了

手机版|Sitemap

网站已存活运行:188 天 , 执行: 4.14毫秒

Powered By Emlog

© 2017-2018 疯狂老司机 自用模板勿扰,没出售的打算